# Class AccessibleActionEvent

SWTEventObject
org.eclipse.swt.accessibility.AccessibleActionEvent

public class AccessibleActionEvent extends SWTEventObject
Instances of this class are sent as a result of accessibility clients sending AccessibleAction messages to an accessible object.

Since:
  1.4
See Also:
  - `AccessibleActionListener`
  - `AccessibleActionAdapter`

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`count`
`int`
`index`
`boolean`
`localized`
`String`
`result`
The value of this field must be set in the accessible action listener method before returning.

## Constructor Summary

Constructors
Constructor
Description
`AccessibleActionEvent(Object source)`
Constructs a new instance of this class.

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
Returns a string containing a concise, human-readable description of the receiver.

## Field Details

### result

public String result
The value of this field must be set in the accessible action listener method before returning. What to set it to depends on the listener method called.

### count

public int count

### index

public int index

### localized

public boolean localized

## Constructor Details

### AccessibleActionEvent

public AccessibleActionEvent(Object source)
Constructs a new instance of this class.

Parameters:
  `source` - the object that fired the event

## Method Details

### toString

public String toString()
Returns a string containing a concise, human-readable description of the receiver.

Returns:
  a string representation of the event